<?php
    /*
    Plugin Name: Очистить список заказов
    Plugin URI: http://www.shopos.ru/plugins/
    Description: 
    Version: 1.0
    Author: ShopOS
    Author URI: http://www.shopos.ru/
    */

    defined('_VALID_OS') or die('Direct Access to this location is not allowed.');

    add_action('main_page_admin', 'main_page_orders_clean');

    function orders_clean_readonly ($value)
    {
        _e('<center>'.add_button('main_page', 'main_page_orders_clean', 'Очистить список заказов' ).'</center>');
    }

    function main_page_orders_clean()
    {
        global $db;
        $db->query('TRUNCATE '.DB_PREFIX.'orders;');
        $db->query('TRUNCATE '.DB_PREFIX.'orders_products;');
        $db->query('TRUNCATE '.DB_PREFIX.'orders_products_attributes;');
        $db->query('TRUNCATE '.DB_PREFIX.'orders_products_download;');
        $db->query('TRUNCATE '.DB_PREFIX.'orders_recalculate;');
        $db->query('TRUNCATE '.DB_PREFIX.'orders_status_history;');
        $db->query('TRUNCATE '.DB_PREFIX.'orders_total;');

        echo '<font color="green"><b>Список заказов очищен</b></font>';
    }

    function orders_clean_install()
    {
        add_option('orders_clean', '' , 'readonly');
    }

    add_action('admin_menu', 'orders_clean_admin_menu');

    function orders_clean_admin_menu()
    {
        add_plug_menu('Очистить список заказов', 'plugins_page.php?main_page=main_page_orders_clean');
    }
?>